﻿/*
Theme Name: Bono Child
Theme URI: https://wpshop.ru/themes/bono
Author: WPShop.ru
Author URI: http://wpshop.ru/
Template: bono
Version: 1.0.0
*/

/* Below you can add your CSS styles */
/* Ниже Вы можете добавить свои CSS стили */

/* HEADER */

.gtranslate_wrapper {
    padding: 0 0.8em;
}

.gtranslate_wrapper .gt_float_switcher {
    font-size: 14px;
    box-shadow: none;
}

.gtranslate_wrapper .gt_float_switcher .gt-selected .gt-current-lang {
    padding: 6px 10px;
}

.gtranslate_wrapper .gt_float_switcher img {
    width: 26px;
}

@media (max-width: 767px){
    .gtranslate_wrapper{
        position: absolute;
        top: 2px;
        left: 6px;
    }
}

/* HOME */
body.home .shop-grid .product-category a {
    padding: 0 !important;
    box-shadow: none;
    -webkit-box-shadow: none;
} 
body.home .shop-grid .product-category {
    padding: 0 10px;
} 
body.home .shop-grid.shop-grid--columns-4 {
    margin-left: -10px;
    margin-right: -10px;
    padding-left: 20px;
    padding-right: 20px;
} 
body.home .pet-search-hero {
    padding: 0 20px 0px;
    margin-bottom: 20px;
}
body .pet-search-hero-inner {
    box-shadow: 0 0 20px -12px rgba(0,0,0,.4);
    border: 1px solid #e9eff6;
    border-radius: 8px
}
body.home .product-category a img, body.home .elementor img {
    border-radius: 8px;
    box-shadow: 0 0 20px -12px rgba(0,0,0,.4);
    border: 1px solid #e9eff6;
}
.pseudo-link:active, 
.pseudo-link:focus, 
.pseudo-link:hover, 
body a:active, 
body a:focus, 
body a:hover,
.header-phone__item a:hover,
.product-category a:hover,
.header-favorite:hover:before,
.header-compare:hover:before,
.header-cart__link:hover .header-cart__link-ico:after,
.header-customer-account:hover:before {
    color: #3960ff !important;
}
.btn, .button {
    border-radius: 8px;
}
body .microchip-search-form {
    margin-top: 30px;
}
body .microchip-search-form input[type="text"] {
    height: 38px;
    border: 1px solid #ececec;
    background-color: #fbfbfb;
    border-radius: 8px;
    margin-top: 0;
    margin-bottom: 0;
}
body .microchip-search-form input[type="text"]:focus {
    border: 1px solid #3960ff;
    background-color: #fff;
}
body .pet-search-hero-inner .microchip-search-form button  {
    padding: 0 10px;
    border-radius: 5px;
    height: 32px;
    font-size: 14px;
}
body .microchip-search-form button {
    top: 50%;
}
.site-header--style-2 {
    -webkit-box-shadow: 0 2px 25px -10px rgba(152, 167, 194, 0.3);
    box-shadow:0 5px 14px -5px rgba(152, 167, 194, 0.3);
}

@media (min-width: 768px){
    body .pet-search-hero-inner {
        padding: 20px 50px 20px 150px;
        min-height: 339px;
        height: auto;
    }
    body.home .pet-search-hero-inner {
        width: 1260px;
    }
    body.archive .pet-search-hero-inner {
        width: 1298px;
    }
    body .pet-search-hero-text {
        max-width: 65%;
    }
    .h1, h1 {
        font-size: 2em;
    }
    body.home .shop-grid .product-category a {
        font-size: 18px;
        font-weight: 500;
    }
}
@media (min-width: 1200px) {
    .search-form .search-field {
        padding-left: 0.75em;
    }
}
@media (max-width: 768px){
    body.home .shop-grid, .home-projects {
        display: flex!important;
        flex-wrap: wrap!important;
        margin: 0;
        justify-content: normal;
    }
    body.home .shop-grid {
        padding: 0 10px !important;
        gap: 0 !important;
    }
    body.home .shop-grid .product-category {
        width: 50% !important;
        padding-left: 10px !important;
        padding-right: 10px !important;
    }
    body.home .shop-grid .product-category,  .home-projects > div {
        width: 50%;
        scroll-snap-align: start;
        scroll-snap-stop: always;
    }
    .header-phone__item {
        margin-top: 3px;
    }
    .section-block, .section-html {
        padding-top: 20px;
        padding-bottom: 20px;
    }
    body.home .pet-search-hero {
        margin-bottom: 0px;
    }
}
@media (max-width: 576.99px){
    body.home .shop-grid.shop-grid--columns-4 {
        margin-left: 0px;
        margin-right: 0px;
    }
    .microchip-search-form, .pet-search-hero-text {
        max-width: 100%;
    }
    
    .pet-search-hero-inner .button {
        width: 100%;
    }
    .microchip-search-form button {
        top: 78%;
    }
    .h4, h4 {
        margin-bottom: 0.5rem
    }
}
body.archive .post-card--vertical .post-card__thumbnail-image {
    position: relative;
    z-index: 2;
    background-color: transparent;
}
body.archive .post-card--vertical .post-card__cover-image {
    position: absolute;
    top: -5px;
    left: -5px;
    right: -5px;
    bottom: -5px;
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    filter: blur(16px);
    z-index: 1;
    transform: scale(1.05);
}
.search-form .search-field {
    border-radius: 8px;
}
.product-info .cart .variations select, .select, .shop-sorting .woocommerce-ordering select {
    padding: .5em 1.5em .5em 1em;
    border-radius: 8px;
}
.input, input[type=color], input[type=date], input[type=datetime-local], input[type=datetime], input[type=email], input[type=month], input[type=number], input[type=password], input[type=range], input[type=search], input[type=tel], input[type=text], input[type=time], input[type=url], input[type=week], select, textarea {
    border: 1px solid #e8ebee;
    border-radius: 8px;
}
.header-phone__item a:before {
    top: 0;
    left: 0;
    font-size: 1em;
    font-weight: 900;
    color: #8e8e90;
}
.header-phone__item a {
    font-weight: 500;
    font-size: 15px;
    line-height: 1;
}
.header-phone__item a small {
    margin-left: -1.5em;
    color: #9b9b9c;
    line-height: 1;
    font-size: 13px;
    font-weight: 300;
    margin-top: 5px;
    display: block; 
}
.gt_float_switcher .gt-selected .gt-current-lang span.gt-lang-code {
    font-size: 12px;
}
.header-customer-account__text {
    font-size: 0.8125rem;
}
.site-logotype img {
    max-height: 62px;
}
.shop-item--type-standard .shop-item-inner {
    border: 1px solid #fff;
    transition: box-shadow 0.3s;
}
@media (hover:hover) and (pointer:fine){
    .shop-item--type-standard .shop-item-inner:hover {
        -webkit-box-shadow: 0 0 20px -12px rgba(0,0,0,.4);
        box-shadow: 0 0 20px -12px rgba(0,0,0,.4);
        border-radius: 8px;
        border: 1px solid #e9eff6;
    }
}
/* MY ACCOUNT */

@media (max-width: 768px){
    .woocommerce-MyAccount-navigation>ul {
        text-align: center;
    }
    .woocommerce-MyAccount-navigation>ul>li, .woocommerce-MyAccount-navigation>ul>li:first-child {
        margin: 0 0.2em;
    }

    .doc-li>span {
        width: 35px!important;
        min-width: 35px!important;
        height: 35px!important;
        line-height: 35px!important;
    }

    .doc-btn {
        min-width: 82px;
    }
}


@media (max-width: 414px){
    .woocommerce-error, .woocommerce-info, .woocommerce-message, .woocommerce-store-notice {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        align-items: flex-start;
        justify-content: center;
    }
    .woocommerce-error a.button, .woocommerce-info a.button, .woocommerce-message a.button, .woocommerce-store-notice a.button {
        margin: 10px 0 0 0;
    }
}

.post-card--vertical .post-card__thumbnail-image {
    background-size: contain;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-color: gray;
}

@media (min-width: 576px){
    .post-card--vertical {
        -ms-flex: 0 0 calc(33% - 40px);
        flex: 0 0 calc(33% - 40px);
        max-width: calc(33% - 40px);
    }
}

